com.qualcomm.robotcore.hardware

## Class I2cControllerPortDeviceImpl

- java.lang.Object
- - com.qualcomm.robotcore.hardware.I2cControllerPortDeviceImpl

- All Implemented Interfaces:
    I2cControllerPortDevice
  Direct Known Subclasses:
    I2cDeviceImpl

      public abstract class I2cControllerPortDeviceImpl
      extends java.lang.Object
      implements I2cControllerPortDevice

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected I2cController` | `controller`
    `protected int` | `physicalPort`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `I2cControllerPortDeviceImpl(I2cController controller, int physicalPort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `controllerNowArmedOrPretending()` intended as a subclass hook
    `protected void` | `controllerNowDisarmed()` intended as a subclass hook
    `protected void` | `finishConstruction()`
    `I2cController` | `getI2cController()` Returns the controller associated with this device.
    `int` | `getPort()` Returns the port on the associated controller that this device occupies.
    `void` | `onModuleStateChange(RobotArmingStateNotifier module, RobotArmingStateNotifier.ARMINGSTATE state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### controller

          protected final I2cController controller

    - #### physicalPort

          protected final int physicalPort

  - ### Constructor Detail

    - #### I2cControllerPortDeviceImpl

          protected I2cControllerPortDeviceImpl(I2cController controller,
                                                int physicalPort)

  - ### Method Detail

    - #### finishConstruction

          protected void finishConstruction()

    - #### controllerNowArmedOrPretending

          protected void controllerNowArmedOrPretending()

      intended as a subclass hook

    - #### controllerNowDisarmed

          protected void controllerNowDisarmed()

      intended as a subclass hook

    - #### onModuleStateChange

          public void onModuleStateChange(RobotArmingStateNotifier module,
                                          RobotArmingStateNotifier.ARMINGSTATE state)

    - #### getI2cController

          public I2cController getI2cController()

      Description copied from interface: `I2cControllerPortDevice`
      Returns the controller associated with this device.
      Specified by:
        `getI2cController` in interface `I2cControllerPortDevice`
      Returns:
        the controller associated with this device

    - #### getPort

          public int getPort()

      Description copied from interface: `I2cControllerPortDevice`
      Returns the port on the associated controller that this device occupies.
      Specified by:
        `getPort` in interface `I2cControllerPortDevice`
      Returns:
        the port on the associated controller that this device occupies